gnunet-svn
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[taler-anastasis] branch master updated: Noting guidelines for the IBAN-


From: gnunet
Subject: [taler-anastasis] branch master updated: Noting guidelines for the IBAN-test script.
Date: Fri, 20 Aug 2021 13:26:07 +0200

This is an automated email from the git hooks/post-receive script.

ms pushed a commit to branch master
in repository anastasis.

The following commit(s) were added to refs/heads/master by this push:
     new 0a74003  Noting guidelines for the IBAN-test script.
0a74003 is described below

commit 0a74003538dff631cff4afd77b1f144a3f35a8b8
Author: MS <ms@taler.net>
AuthorDate: Fri Aug 20 00:25:27 2021 -1100

    Noting guidelines for the IBAN-test script.
---
 src/cli/test_iban.sh | 36 ++++++++++++++++++++++++++++++++++++
 1 file changed, 36 insertions(+)

diff --git a/src/cli/test_iban.sh b/src/cli/test_iban.sh
new file mode 100644
index 0000000..e43dc10
--- /dev/null
+++ b/src/cli/test_iban.sh
@@ -0,0 +1,36 @@
+#!/bin/bash
+
+set -eu
+
+# Script's guidelines:
+
+#* uses 'CURRENCY=TESTKUDOS' and uses $CURRENCY for all
+#  currencies in what follows ...
+#* for databases, use either 'anastasischeck' for Postgres
+#  or an sqlite file created via "mktemp /tmp/test-XXXXXX"
+#  or something like that
+#* exits with 77 if libeufin is not properly installed/available
+#* exits with 77 if Postgres with 'anastasischeck' is not properly
+#  installed/available
+#* starts Nexus (in background)
+#* starts sandbox (in background)
+#* creates two IBAN accounts
+#* stores IBANs of both accounts in shell variables,
+#  call them IBAN_CREDIT and IBAN_DEBIT.
+#* configures an Anastasis facade for IBAN_CREDIT.
+#* exports authentication credentials (URL, access token)
+#  for the facade to shell variables
+#  (FACADE_URL, FACADE_AUTH_TOKEN)
+#* contains a command to do a wire-transfer (pick your amount)
+#  from DEBIT to CREDIT (setup authentication as needed to
+#  trigger the transfer)
+#
+#
+#Make sure 'set -eu' and include some progress indicators, like:
+#
+#echo -n "Starting nexus ..."
+## DO WORK
+#echo " DONE"
+#echo -n "Starting sandbox ..."
+## DO WORK
+#echo " DONE"

-- 
To stop receiving notification emails like this one, please contact
gnunet@gnunet.org.



reply via email to

[Prev in Thread] Current Thread [Next in Thread]